/* 隱藏google V3 右下角徽章 */
.grecaptcha-badge { 
    visibility: hidden; 
}

/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/

body {
  background: #fff;
  color: #666666;
  word-break: break-all;
  font-family: -apple-system,BlinkMacSystemFont,"Microsoft JhengHei","Segoe UI","Roboto","Helvetica Neue", Arial, sans-serif,"Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

a {
  color: #520472;
  transition: 0.5s;
}

a:hover,
a:active,
a:focus {
  color: #ff0000;
  outline: none;
  text-decoration: none;
}

p {
  padding: 0;
  letter-spacing: 1px;
  margin: 0 0 20px 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 400;
  margin: 0 0 20px 0;
  padding: 0;
}


/* text color
--------------------------------*/
.text-purple{
  color: #330066;
}

.text-yellow{
  color: #f4df52;
}

.col-box-yellow {
  background: #f4df52;
  border-radius: 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.3);
  margin-bottom: 30px;
}

.col-box-yellow h3 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 10px 0;
}

.col-box-yellow p {
  font-size: 18px;
  line-height: 26px;
  color: #43027a;
  margin-bottom: 0;
  padding: 0 20px 10px 20px;
}


.col-box-danger {
  background: #b70101;
  border-radius: 4px 4px;
  box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.5);
  margin-bottom: 30px;
}


.col-box-danger p {
  font-size: 18px;
  line-height: 26px;
  color: #fff;
  margin-bottom: 0;
  padding: 0 20px 10px 20px;
}


.col-box-white {
  background: #fff;
  border-radius: 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.3);
  margin-bottom: 30px;
}

.col-box-white h3 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 10px 0;
}

.col-box-white p {
  font-size: 18px;
  line-height: 26px;
  color: #43027a;
  margin-bottom: 0;
  padding: 0 20px 10px 20px;
}

/* table td text size */
.td-text{
  font-size: 18px;
}
  /*名字表格*/
  .name-tb th{
    width: 15%;
  }

  .name-tb td{
    width: 80%;
  }
/* Back to top button */

.right-line-icon {
  position: fixed;
  width: 50px;
  height: 50px;
  text-align: center;

  right: 15px;
  bottom: 60px;

  z-index: 11;
}

.back-to-top {
  position: fixed;
  display: none;
  background: #520472;
  color: #fff;
  width: 50px;
  height: 50px;
  text-align: center;
  line-height: 1;
  font-size: 16px;
  border-radius: 50%;
  right: 15px;
  bottom: 5px;
  border: 1px solid #fff;
  transition: background 0.5s;
  z-index: 11;
}

.back-to-top i {
  padding-top: 12px;
  color: #fff;
}

.bg-img-1 {
  background: url("../img/bg.jpg") left top repeat fixed;
  background-size: cover;
  padding: 60px 0 40px 0;
  position: relative;

}
.bg-img-1:before {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  /**/
  background: rgba(255, 255, 255, 0.85);
  
  z-index: 9;
}

.img-hover img:hover {
  opacity: 0.6;
}
/* Prelaoder */

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  overflow: hidden;
  background: #fff;
}

#preloader:before {
  content: "";
  position: fixed;
  top: calc(50% - 30px);
  left: calc(50% - 30px);
  border: 6px solid #f2f2f2;
  border-top: 6px solid #18d26e;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  -webkit-animation: animate-preloader 1s linear infinite;
  animation: animate-preloader 1s linear infinite;
}

@-webkit-keyframes animate-preloader {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes animate-preloader {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/

#header {
  padding: 10px 0;
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  transition: all 0.5s;
  background: rgba(82, 4, 114, 0.7);
  z-index: 997;
}

#header.header-scrolled {
  background: rgba(82, 4, 114, 1);
  padding: 15px 0;
  height: 72px;
  transition: all 0.5s;
}

#header #logo {
  float: right;
  height: 48px;
}

#header #logo h1 {
  font-size: 35px;
  margin: 0;
  padding: 0;
  line-height: 25px;
  font-weight: 700;
  letter-spacing: 1px;
}

#header #logo h1 a,
#header #logo h1 a:hover {
  color: #fff;
  padding-left: 10px;
  /* border-left: 4px solid #18d26e;*/
}

#header #logo img {
  padding: 0;
  margin: 0;
}

/*--------------------------------------------------------------
# Intro Section
--------------------------------------------------------------*/

#intro {
  display: table;
  width: 100%;
  height: 70vh;
  background: #000;
}

#intro .carousel-item {
  width: 100%;
  height: 70vh;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

#intro .carousel-item::before {
  content: '';
  background-color: rgba(0, 0, 0, 0.1);
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
}

#intro .carousel-container {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  position: absolute;

  top: 300;
  left: 0;
  right: 0;
}

#intro .carousel-background img {
  max-width: 100%;
}

#intro .carousel-content {
  text-align: center;
}

#intro h2 ,#intro h1{
  color: #fff;
  margin-bottom: 30px;
  font-size: 48px;
  letter-spacing: 2px;
  font-weight: 700;
  text-shadow: -1px -1px white, 1px 1px #000;
}

#intro p {
  width: 80%;
  margin: 0 auto 30px auto;
  color: #fff;
  letter-spacing: 1px;
  text-shadow: 0.1em 0.1em #333
}

#intro .carousel-fade {
  overflow: hidden;
}

#intro .carousel-fade .carousel-inner .carousel-item {
  transition-property: opacity;
}

#intro .carousel-fade .carousel-inner .carousel-item,
#intro .carousel-fade .carousel-inner .active.carousel-item-left,
#intro .carousel-fade .carousel-inner .active.carousel-item-right {
  opacity: 0;
}

#intro .carousel-fade .carousel-inner .active,
#intro .carousel-fade .carousel-inner .carousel-item-next.carousel-item-left,
#intro .carousel-fade .carousel-inner .carousel-item-prev.carousel-item-right {
  opacity: 1;
  transition: 0.5s;
}

#intro .carousel-fade .carousel-inner .carousel-item-next,
#intro .carousel-fade .carousel-inner .carousel-item-prev,
#intro .carousel-fade .carousel-inner .active.carousel-item-left,
#intro .carousel-fade .carousel-inner .active.carousel-item-right {
  left: 0;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

#intro .carousel-control-prev,
#intro .carousel-control-next {
  width: 10%;
}

#intro .carousel-control-next-icon,
#intro .carousel-control-prev-icon {
  background: none;
  font-size: 32px;
  line-height: 1;
}

#intro .carousel-indicators li {
  cursor: pointer;
}

#intro .btn-get-started {


  font-size: 1.2em;
  letter-spacing: 1px;
  display: inline-block;
  font-weight: 600;
  padding: 8px 32px;
  border-radius: 50px;
  transition: 0.5s;
  margin: 10px;
  color: #ff0000;
  background: #feea55;
}

#intro .btn-get-started:hover {
  background: #fff;
  color: #ff0000;
}

/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/

/* Nav Menu Essentials */

.nav-menu,
.nav-menu * {
  margin: 0;
  padding: 0;
  list-style: none;
}

.nav-menu ul {
  position: absolute;
  display: none;
  top: 100%;
  left: 0;
  z-index: 99;
}

.nav-menu li {
  position: relative;
  white-space: nowrap;
}

.nav-menu > li {
  float: left;
}

.nav-menu li:hover > ul,
.nav-menu li.sfHover > ul {
  display: block;
}

.nav-menu ul ul {
  top: 0;
  left: 100%;
}

.nav-menu ul li {
  min-width: 180px;
}

/* Nav Menu Arrows */

.sf-arrows .sf-with-ul {
  padding-right: 30px;
}

.sf-arrows .sf-with-ul:after {
  content: "\f107";
  position: absolute;
  right: 15px;
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
}

.sf-arrows ul .sf-with-ul:after {
  content: "\f105";
}

/* Nav Meu Container */

#nav-menu-container {
  float: right;
  margin: 0;
}

/* Nav Meu Styling */

.nav-menu a {
  padding: 3px 8px 10px 8px;
  text-decoration: none;
  display: inline-block;
  color: #fff;
  font-weight: 600;
  letter-spacing: 2px;
  font-size: 21px;
  text-transform: uppercase;
  text-shadow: -0px -0px #000, 1px 1px #000;
  outline: none;
}

.nav-menu li:hover > a,
.nav-menu > .menu-active > a {
  color: #fff;
  text-shadow:none;

}

.nav-menu > li {
  margin-left: 10px;
}

.nav-menu ul {
  margin: 4px 0 0 0;
  padding: 10px;
  box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);
  background: #fff;
}

.nav-menu ul li {
  transition: 0.3s;
}

.nav-menu ul li a {
  padding: 8px;
  color: #db0311;
  transition: 0.3s;
  display: block;
  font-weight: 600;
  font-size: 20px;
  text-transform: none;
    text-shadow: -1px -1px white, 1px 1px #666;
}

.nav-menu ul li:hover > a {
  color: #111;
}

.nav-menu ul ul {
  margin: 0;
}

/* Mobile Nav Toggle */

#mobile-nav-toggle {
  position: fixed;
  right: 0;
  top: 0;
  z-index: 999;
  margin: 20px 20px 0 0;
  border: 0;
  background: none;
  font-size: 24px;
  display: none;
  transition: all 0.4s;
  outline: none;
  cursor: pointer;
}

#mobile-nav-toggle i {
  color: #fff;
}

/* Mobile Nav Styling */

#mobile-nav {
  position: fixed;
  top: 0;
  padding-top: 18px;
  bottom: 0;
  z-index: 998;
  background: rgba(0, 0, 0, 0.8);
  left: -260px;
  width: 260px;
  overflow-y: auto;
  transition: 0.4s;
}

#mobile-nav ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

#mobile-nav ul li {
  position: relative;
}

#mobile-nav ul li a {
  color: #fff;
  font-size: 20px;
  text-transform: uppercase;
  overflow: hidden;
  padding: 10px 22px 10px 15px;
  position: relative;
  text-decoration: none;
  width: 100%;
  display: block;
  outline: none;
  font-weight: 700;

}

#mobile-nav ul li a:hover {
  color: #feea55;
}

#mobile-nav ul li li {
  padding-left: 30px;
}

#mobile-nav ul li.menu-active a {
  color: #feea55;
}

#mobile-nav ul .menu-has-children i {
  position: absolute;
  right: 0;
  z-index: 99;
  padding: 15px;
  cursor: pointer;
  color: #fff;
}

#mobile-nav ul .menu-has-children i.fa-chevron-up {
  color: #18d26e;
}

#mobile-nav ul .menu-has-children li a {
  text-transform: none;
}

#mobile-nav ul .menu-item-active {
  color: #18d26e;
}

#mobile-body-overly {
  width: 100%;
  height: 100%;
  z-index: 997;
  top: 0;
  left: 0;
  position: fixed;
  background: rgba(0, 0, 0, 0.7);
  display: none;
}

/* Mobile Nav body classes */

body.mobile-nav-active {
  overflow: hidden;
}

body.mobile-nav-active #mobile-nav {
  left: 0;
}

body.mobile-nav-active #mobile-nav-toggle {
  color: #fff;
}

/*--------------------------------------------------------------
# Sections
--------------------------------------------------------------*/

/* Sections Header
--------------------------------*/

.section-header h3,.section-header h1,.section-header h2,.section-header h4 {
  font-size: 32px;
  color: #520472;
  text-transform: uppercase;
  text-align: center;
  font-weight: 700;
  position: relative;
  padding-bottom: 15px;
}

.section-header h3::before,.section-header h2::before,.section-header h1::before {
  content: '';
  position: absolute;
  display: block;
  width: 120px;
  height: 1px;
  background: #ddd;
  bottom: 1px;
  left: calc(50% - 60px);
}

.section-header h3::after,.section-header h2::after,.section-header h1::after {
  content: '';
  position: absolute;
  display: block;
  width: 40px;
  height: 3px;
  background: #ff0000;
  bottom: 0;
  left: calc(50% - 20px);
}

h3.noStyle::before,h2.noStyle::before,h1.noStyle::before {
  display: none;
}
h3.noStyle::after,h2.noStyle::after,h1.noStyle::after {
  display: none;
}

.section-header p {
  text-align: center;
  font-size: 18px;
  color: #000;
  padding-bottom: 30px;
}

/* Section with background
--------------------------------*/

.section-bg {
  background: #f7f7f7;
}

/* Featured Services Section
--------------------------------*/

#featured-services {
  background: #bf0003;
}

#featured-services .box {
  padding: 30px 20px;
}

#featured-services .box-bg {
  background-image: linear-gradient(0deg, #bf0003 0%, #ca1a1d 50%, #bf0003 100%);
}

#featured-services i {
  color: #feea55;
  font-size: 48px;
  display: inline-block;
  line-height: 1;
}

#featured-services h4 {
  font-weight: 400;
  margin: 15px 0;
  font-size: 18px;
}

#featured-services h4 a {
  color: #fff;
}

#featured-services h4 a:hover {
  color: #ffe74d;
}

#featured-services p {
  font-size: 14px;
  line-height: 24px;
  color: #fff;
  margin-bottom: 0;
}

/* About Us Section
--------------------------------*/

#about {
  /*
  background: url("../img/about-bg.jpg") center top no-repeat fixed;
    background-size: cover;
  */

  padding: 60px 0 40px 0;
  position: relative;
}

#about::before {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  /*
  background: rgba(255, 255, 255, 0.95);
  */
  z-index: 9;
}

#about .container {
  position: relative;
  z-index: 10;
}

#about .about-col {
  background: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.08);
  margin-bottom: 60px;
}

#about .about-col-style2 {
  background: #ffec40;
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.2);
  margin-bottom: 60px;
}

#about .about-col-style2 h3{
  color: #ff0000;
  text-align: left;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 10px 0;
}
#about .about-col-style2 h4 {
  color: #ff0000;
  text-align: left;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 10px 0;
}

#about .about-col .img {
  position: relative;
}

#about .about-col .img img {
  border-radius: 4px 4px 0 0;
}

#about .about-col .icon {
  width: 64px;
  height: 64px;
  padding-top: 8px;
  text-align: center;
  position: absolute;
  background-color: #d40210;
  border-radius: 50%;
  text-align: center;
  border: 4px solid #fff;
  left: calc( 50% - 32px);
  bottom: -30px;
  transition: 0.3s;
}

#about .about-col i {
  font-size: 36px;
  line-height: 1;
  color: #fff;
  transition: 0.3s;
}

#about .about-col:hover .icon {
  background-color: #fff;
}

#about .about-col:hover i {
  color: #d40210;
}

#about .about-col h2 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 40px 0 20px 0;
}

#about .about-col h2 a {
  color: #000;
}

#about .about-col h2 a:hover {
  color: #18d26e;
}

#about .about-col h3 {
  color: #ff0000;
  text-align: center;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 10px 0;
}

#about .about-col h4 {
  color: #ff0000;
  text-align: center;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 10px 0;
}

#about .about-col p {
  font-size: 17px;
  line-height: 26px;
  color: #000080;
  margin-bottom: 0;
  padding:10px 15px;
}


/*

#about img {
  opacity: 1;
}

#about img:hover {
  opacity: 0.6;
}

*/
#about ul li{
  font-size: 18px;
  line-height: 26px;
  color: #000080;
}

/* Services Section
--------------------------------*/

#services {
  background: #bf0003;
  background-size: cover;
  padding: 60px 0 40px 0;
}

#services .box {
  margin-bottom: 30px;
}

#services .icon {
  float: left;
}

#services .icon i {
  /*
  color: #d40210;
  */
  font-size: 26px;
  line-height: 1;
  transition: 0.5s;
}

#services .title {
  margin-left: 40px;
  font-weight: 700;
  margin-bottom: 15px;
  font-size: 18px;
}

#services .title a {
  color: #fcf41b;
}

#services .box:hover .title a {
  color: #000;
}

#services .description {
  font-size: 14px;
  margin-left: 40px;
  line-height: 24px;
  color: #fff;
  margin-bottom: 0;
}

/* Call To Action Section
--------------------------------*/

#call-to-action {
  background: linear-gradient(rgba(0, 142, 99, 0.1), rgba(0, 0, 0, 0.1)), url(../img/call-to-action-bg.jpg) fixed center center;
  background-size: cover;
  padding: 60px 0;
}

#call-to-action h3 {
  color: #fff;
  font-size: 28px;
  font-weight: 700;
}

#call-to-action p {
  color: #fff;
}

#call-to-action .cta-btn {
  font-family: "Montserrat", sans-serif;
  text-transform: uppercase;
  font-weight: 500;
  font-size: 16px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 8px 28px;
  border-radius: 25px;
  transition: 0.5s;
  margin-top: 10px;
  border: 2px solid #fff;
  color: #fff;
}

#call-to-action .cta-btn:hover {
  background: #18d26e;
  border: 2px solid #18d26e;
}

/* Call To Action Section
--------------------------------*/

#skills {
  padding: 60px 0;
}

#skills .progress {
  height: 35px;
  margin-bottom: 10px;
}

#skills .progress .skill {
  font-family: "Open Sans", sans-serif;
  line-height: 35px;
  padding: 0;
  margin: 0 0 0 20px;
  text-transform: uppercase;
}

#skills .progress .skill .val {
  float: right;
  font-style: normal;
  margin: 0 20px 0 0;
}

#skills .progress-bar {
  width: 1px;
  text-align: left;
  transition: .9s;
}

/* store Section
--------------------------------*/

#store {
  /*background: url("../img/store-bg.jpg") center top no-repeat fixed;
  background-size: cover;*/
  background: #fff;
  padding: 60px 0 0 0;

}

#store .counters p {
  padding: 0;
  margin: 0 0 20px 0;
  font-size: 18px;
  color: #111;
}


#store .store-col {
  background: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.08);
  margin-bottom: 20px;
}

#store .store-col p {
  font-size: 17px;
  line-height: 26px;
  color: #000080;
  letter-spacing: 2px;
  margin-bottom: 0;
  padding: 0 20px 10px 20px;

}

#store img {
  opacity: 1;
}

#store img:hover {
  opacity: 0.6;
}


/* Facts Section
--------------------------------*/

#facts {
  background: url("../img/store-bg.jpg") center top no-repeat fixed;
  background-size: cover;
  padding: 60px 0 0 0;
  position: relative;
}

#facts::before {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.6);
  z-index: 9;
}

#facts .container {
  position: relative;
  z-index: 10;
}

#facts .counters span {
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
  font-size: 48px;
  display: block;
  color: #ff0000;
}

#facts .counters p {
  padding: 0;
  margin: 0 0 20px 0;
  font-size: 18px;
  color: #111;
}

#facts .facts-img {
  text-align: center;
  padding-top: 30px;
}

#facts .facts-col {
  background: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.08);
  margin-bottom: 20px;
}

#facts .facts-col p {
  font-size: 17px;
  line-height: 26px;
  color: #000080;
  letter-spacing: 2px;
  margin-bottom: 0;
  padding: 0 20px 10px 20px;

}

#facts img {
  opacity: 1;
}

#facts img:hover {
  opacity: 0.6;
}
/* Portfolio Section
--------------------------------*/

#portfolio {
  padding: 60px 0;
}

#portfolio #portfolio-flters {
  padding: 0;
  margin: 5px 0 0 0;
  list-style: none;
  text-align: center;
}

#portfolio #portfolio-flters li {
  cursor: pointer;
  margin: 15px 15px 15px 0;
  display: inline-block;
  padding: 10px 20px;
  font-size: 18px;
  font-weight: 600;
  line-height: 20px;
  color: #fff;
  border-radius: 4px;
  text-transform: uppercase;
  background: #e50012;
  margin-bottom: 5px;
  transition: all 0.3s ease-in-out;
}

#portfolio #portfolio-flters li:hover,
#portfolio #portfolio-flters li.filter-active {
  background: #feea55;
  color: #000;
}

#portfolio #portfolio-flters li:last-child {
  margin-right: 0;
}

#portfolio .portfolio-wrap {
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.08);
  transition: 0.3s;
}

#portfolio .portfolio-wrap:hover {
  box-shadow: 0px 4px 14px rgba(0, 0, 0, 0.16);
}

#portfolio .portfolio-item {
  position: relative;
  margin-bottom:25px;
  overflow: hidden;
}

#portfolio .portfolio-item figure {
  background: #000;
  overflow: hidden;
  height: 240px;
  position: relative;
  border-radius: 4px 4px 0 0;
  margin: 0;
}

#portfolio .portfolio-item figure:hover img {
  opacity: 0.4;
  transition: 0.3s;
}

#portfolio .portfolio-item figure .link-preview,
#portfolio .portfolio-item figure .link-details {
  position: absolute;
  display: inline-block;
  opacity: 0;
  line-height: 1;
  text-align: center;
  width: 36px;
  height: 36px;
  background: #fff;
  border-radius: 50%;
  transition: 0.2s linear;
}

#portfolio .portfolio-item figure .link-preview i,
#portfolio .portfolio-item figure .link-details i {
  padding-top: 6px;
  font-size: 22px;
  color: #333;
}

#portfolio .portfolio-item figure .link-preview:hover,
#portfolio .portfolio-item figure .link-details:hover {
  background: #18d26e;
}

#portfolio .portfolio-item figure .link-preview:hover i,
#portfolio .portfolio-item figure .link-details:hover i {
  color: #fff;
}

#portfolio .portfolio-item figure .link-preview {
  left: calc(50% - 38px);
  top: calc(50% - 18px);
}

#portfolio .portfolio-item figure .link-details {
  right: calc(50% - 38px);
  top: calc(50% - 18px);
}

#portfolio .portfolio-item figure:hover .link-preview {
  opacity: 1;
  left: calc(50% - 44px);
}

#portfolio .portfolio-item figure:hover .link-details {
  opacity: 1;
  right: calc(50% - 44px);
}

#portfolio .portfolio-item .portfolio-info {
  background: #fff;
  padding: 15px 30px 30px 30px;
  border-radius: 0 0 3px 3px;
}

#portfolio .portfolio-item .portfolio-info h4 {
  font-size: 17px;
  font-weight: 700;
  letter-spacing: 1px;

  margin-bottom: 18px;
  padding-bottom: 0;
}

#portfolio .portfolio-item .portfolio-info h4 a {
  color: #520472;
}

#portfolio .portfolio-item .portfolio-info h4 a:hover {
  color: #ff0000;
}

#portfolio .portfolio-item .portfolio-info p {
  padding: 0;
  margin: 0;
  color: #b8b8b8;
  font-weight: 500;
  font-size: 14px;
  text-transform: uppercase;
}

/* Clients Section
--------------------------------*/

#clients {
  padding: 60px 0;
}

#clients img {
  max-width: 100%;
  opacity: 0.5;
  transition: 0.3s;
  padding: 15px 0;
}

#clients img:hover {
  opacity: 1;
}

#clients .owl-nav,
#clients .owl-dots {
  margin-top: 5px;
  text-align: center;
}

#clients .owl-dot {
  display: inline-block;
  margin: 0 5px;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: #ddd;
}

#clients .owl-dot.active {
  background-color: #18d26e;
}

/* Testimonials Section
--------------------------------*/

#testimonials {
  padding: 60px 0;
}

#testimonials .section-header {
  margin-bottom: 40px;
}

#testimonials .testimonial-item {
  text-align: center;
}

#testimonials .testimonial-item .testimonial-img {
  width: 120px;
  border-radius: 50%;
  border: 4px solid #fff;
  margin: 0 auto;
}

#testimonials .testimonial-item h3 {
  font-size: 20px;
  font-weight: bold;
  margin: 10px 0 5px 0;
  color: #111;
}

#testimonials .testimonial-item h4 {
  font-size: 14px;
  color: #999;
  margin: 0 0 15px 0;
}

#testimonials .testimonial-item .quote-sign-left {
  margin-top: -15px;
  padding-right: 10px;
  display: inline-block;
  width: 37px;
}

#testimonials .testimonial-item .quote-sign-right {
  margin-bottom: -15px;
  padding-left: 10px;
  display: inline-block;
  max-width: 100%;
  width: 37px;
}

#testimonials .testimonial-item p {
  font-style: italic;
  margin: 0 auto 15px auto;
}

#testimonials .owl-nav,
#testimonials .owl-dots {
  margin-top: 5px;
  text-align: center;
}

#testimonials .owl-dot {
  display: inline-block;
  margin: 0 5px;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: #ddd;
}

#testimonials .owl-dot.active {
  background-color: #18d26e;
}

/* Team Section
--------------------------------*/

#team {
  background: #fff;
  padding: 60px 0;
}

#team .member {
  text-align: center;
  margin-bottom: 20px;
  background: #000;
  position: relative;
}

#team .member .member-info {
  opacity: 0;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  position: absolute;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  transition: 0.2s;
}

#team .member .member-info-content {
  margin-top: -50px;
  transition: margin 0.2s;
}

#team .member:hover .member-info {
  background: rgba(0, 0, 0, 0.7);
  opacity: 1;
  transition: 0.4s;
}

#team .member:hover .member-info-content {
  margin-top: 0;
  transition: margin 0.4s;
}

#team .member h4 {
  font-weight: 700;
  margin-bottom: 2px;
  font-size: 18px;
  color: #fff;
}

#team .member span {
  font-style: italic;
  display: block;
  font-size: 13px;
  color: #fff;
}

#team .member .social {
  margin-top: 15px;
}

#team .member .social a {
  transition: none;
  color: #fff;
}

#team .member .social a:hover {
  color: #18d26e;
}

#team .member .social i {
  font-size: 18px;
  margin: 0 2px;
}

/* Contact Section
--------------------------------*/

#contact {
  padding: 60px 0;
}

#contact .contact-info {
  margin-bottom: 20px;
  text-align: center;
}

#contact .contact-info i {
  font-size: 48px;
  display: inline-block;
  margin-bottom: 10px;
  color: #ff0000;
}

#contact .contact-info address,
#contact .contact-info p {
  margin-bottom: 0;
  color: #000;
}

#contact .contact-info h3 {
  font-size: 18px;
  margin-bottom: 15px;
  font-weight: bold;
  text-transform: uppercase;
  color: #999;
}

#contact .contact-info a {
  color: #000;
}

#contact .contact-info a:hover {
  color: #18d26e;
}

#contact .contact-address,
#contact .contact-phone,
#contact .contact-email {
  margin-bottom: 20px;
}

#contact .form #sendmessage {
  color: #18d26e;
  border: 1px solid #18d26e;
  display: none;
  text-align: center;
  padding: 15px;
  font-weight: 600;
  margin-bottom: 15px;
}

#contact .form #errormessage {
  color: red;
  display: none;
  border: 1px solid red;
  text-align: center;
  padding: 15px;
  font-weight: 600;
  margin-bottom: 15px;
}

#contact .form #sendmessage.show,
#contact .form #errormessage.show,
#contact .form .show {
  display: block;
}

#contact .form .validation {
  color: red;
  display: none;
  margin: 0 0 20px;
  font-weight: 400;
  font-size: 13px;
}

#contact .form input,
#contact .form textarea {
  padding: 10px 14px;
  border-radius: 0;
  box-shadow: none;
  font-size: 15px;
}

#contact .form button[type="submit"] {
  background: #18d26e;
  border: 0;
  padding: 10px 30px;
  color: #fff;
  transition: 0.4s;
  cursor: pointer;
}

#contact .form button[type="submit"]:hover {
  background: #13a456;
}


/* page item
--------------------------------*/

#item {
  background: url("../img/about-bg.jpg") center top no-repeat fixed;
  background-size: cover;
  padding: 60px 0 40px 0;
  position: relative;
}

#item::before {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.95);
  z-index: 9;
}

#item .container {
  position: relative;
  z-index: 10;
}

#item .item-col {
  background: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.08);
  margin-bottom: 20px;
}

#item .item-col .img {
  position: relative;
}

#item .item-col .img img {
  border-radius: 4px 4px 0 0;
}

#item .item-col .icon {
  width: 64px;
  height: 64px;
  padding-top: 8px;
  text-align: center;
  position: absolute;
  background-color: #d40210;
  border-radius: 50%;
  text-align: center;
  border: 4px solid #fff;
  left: calc( 50% - 32px);
  bottom: -30px;
  transition: 0.3s;

}

#item .item-col i {
  font-size: 36px;
  line-height: 1;
  color: #fff; 
  transition: 0.3s;
}

#item .item-col:hover .icon {
  background-color: #fff;
}

#item .item-col:hover i {
  color: #d40210;
}

#item .item-col h3 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 25px;
  padding: 0;
  margin: 40px 0 20px 0;
}

#item .item-col h3 a {
  color: #000;
}

#item .item-col h3 a:hover {
  color: #cc0000;
}

#item .item-col p {
  font-size: 17px;
  line-height: 26px;
  color: #000080;
  margin-bottom: 0;
  padding: 0 20px 10px 20px;
}

#item .item-col p i {
    font-size: 18px;
    line-height: 1;
    color: #fff;
    transition: 0.3s;
}

#item img {
  opacity: 1;
}

#item img:hover {
  opacity: 0.6;
}



/* page item-2
--------------------------------*/

#item-2 {
  background: url("../img/bg.jpg") left top repeat fixed;
  background-size: cover;
  padding: 60px 0 40px 0;
  position: relative;

}

#item-2::before {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.85);
  z-index: 9;
}

#item-2 .container {
  position: relative;
  z-index: 10;
}

#item-2 .item-col {
  background: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.08);
  margin-bottom: 60px;
  padding-bottom: 20px;
}

#item-2 .item-col .img {
  position: relative;
}

#item-2 .item-col .img img {
  border-radius: 4px 4px 0 0;
}

#item-2 .item-col .icon {
  width: 64px;
  height: 64px;
  padding-top: 8px;
  text-align: center;
  position: absolute;
  background-color: #d40210;
  border-radius: 50%;
  text-align: center;
  border: 4px solid #fff;
  left: calc( 50% - 32px);
  bottom: -30px;
  transition: 0.3s;
}

#item-2 .item-col i {
  font-size: 36px;
  line-height: 1;
  color: #fff;
  transition: 0.3s;
}

/*
#item-2 .item-col:hover .icon {
  background-color: #fff;
}

#item-2 .item-col:hover i {
  color: #d40210;
}
*/

#item-2 .item-col h3 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 22px;
  padding: 0;
  margin: 20px 0 20px 0;
}

#item-2 .item-col h3 a {
  color: #000;
}

#item-2 .item-col h3 a:hover {
  color: #cc0000;
}

#item-2 .item-col h4 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 22px;
  line-height: 30px;
  padding: 0 5px;
  margin: 40px 0 20px 0;
}

#item-2 .item-col h4 a {
  color: #000;
}

#item-2 .item-col h4 a:hover {
  color: #cc0000;
}

#item-2 .item-col p {
  font-size: 17px;
  line-height: 26px;
  color: #000080;
  margin-bottom: 0;
  padding: 8px 10px 0px;
}





/* page gift
--------------------------------*/

#gift {
  background-color: #fff;
  padding: 60px 0 40px 0;
  position: relative;
}


#gift .container {
  position: relative;
  z-index: 10;
}

#gift .gift-col {
  background: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.08);
  margin-bottom: 20px;
}

#gift .gift-col .img {
  position: relative;
}

#gift .gift-col .img img {
  border-radius: 4px 4px 0 0;
}

#gift .gift-col .icon {
  width: 64px;
  height: 64px;
  padding-top: 8px;
  text-align: center;
  position: absolute;
  background-color: #d40210;
  border-radius: 50%;
  text-align: center;
  border: 4px solid #fff;
  left: calc( 50% - 32px);
  bottom: -30px;
  transition: 0.3s;
}

#gift .gift-col i {
  font-size: 36px;
  line-height: 1;
  color: #fff;
  transition: 0.3s;
}

#gift .gift-col:hover .icon {
  background-color: #fff;
}

#gift .gift-col:hover i {
  color: #d40210;
}

#gift .gift-col h3 {
  color: #000;
  text-align: center;
  font-weight: 700;
  font-size: 25px;
  padding: 0;
  margin: 40px 0 20px 0;
}

#gift .gift-col h3 a {
  color: #000;
}

#gift .gift-col h3 a:hover {
  color: #cc0000;
}

#gift .gift-col p {
  font-size: 17px;
  line-height: 26px;
  color: #000080;
  margin-bottom: 0;
  padding: 0 20px 10px 20px;
}

#gift img {
  opacity: 1;
}

#gift img:hover {
  opacity: 0.6;
}



hr.style-1 {
    border: 0;
    height: 0;
    border-top: 2px solid rgba(0,0,0,0.1);
    border-bottom: 1px solid rgba(255,255,255,0.3);
    margin:0;
    padding: 0;
}

.btn-red {
  color: #fff;
  background-color: #ef1602;
  border-color: #d43f3a;
}
.btn-red:hover,
.btn-red:focus,
.btn-red.focus,
.btn-red:active,
.btn-red.active,
.open > .dropdown-toggle.btn-red {
  color: #fff;
  background-color: #c9302c;
  border-color: #ac2925;
}
.btn-red:active,
.btn-red.active,
.open > .dropdown-toggle.btn-danger {
  background-image: none;
}

/*--------------------------------------------------------------
# table
--------------------------------------------------------------*/
#baby-party-table tr:nth-child(even){background-color: #f2f2f2;}

#baby-party-table tr:hover {background-color: #ddd;}

#baby-party-table th {
  padding-top: 12px;
  padding-bottom: 12px;
  font-size: 1.5em;
  text-align: center;
  line-height: 35px;
  background-color: #ff0000;
  color: white;
}

#baby-party-table td {
  color: #000099;
  font-weight: 600;
  text-align: center;
  font-size: 1.5em;

}

/*--------------------------------------------------------------
# map
--------------------------------------------------------------*/
.map-responsive{
    overflow:hidden;
    padding-bottom:50%;
    position:relative;
    height:0;
}
.map-responsive iframe{
    left:0;
    top:0;
    height:100%;
    width:100%;
    position:absolute;
}
/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
.social img{
  width: 7%;
  margin:5px 15px; 
  }

#footer {
  background: #520472;
  padding: 0 0 30px 0;
  color: #eee;
  font-size: 14px;
}

#footer .footer-top {
  background: #e20f1a;
  padding: 60px 0 30px 0;
}

#footer .footer-top .footer-info {
  margin-bottom: 30px;
}

#footer .footer-top .footer-info h3 {
  font-size: 34px;
  margin: 0 0 20px 0;
  padding: 2px 0 2px 10px;
  line-height: 1;
  font-weight: 700;
  letter-spacing: 2px;
  border-left: 4px solid #feea55;
  text-shadow:2px 2px 2px #000;
}

#footer .footer-top .footer-info p {
  font-size: 14px;
  line-height: 24px;
  margin-bottom: 0;
  color: #eee;
}

#footer .footer-top .social-links a {
  font-size: 18px;
  display: inline-block;
  background: #333;
  color: #eee;
  line-height: 1;
  padding: 8px 0;
  margin-right: 4px;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
}

#footer .footer-top .social-links a:hover {
  background: #feea55;
  color: #ff0000;
}

#footer .footer-top h4 {
  color: #feea55;
  font-size: 20px;
  text-transform: uppercase;
  position: relative;
  padding-bottom: 12px;
}

#footer .footer-top h4::before,
#footer .footer-top h4::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  height: 2px;
}

#footer .footer-top h4::before {
  right: 0;
  background: #555;
}

#footer .footer-top h4::after {
  background: #feea55;
  width: 60px;
}

#footer .footer-top .footer-links {
  margin-bottom: 30px;
}

#footer .footer-top .footer-links ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#footer .footer-top .footer-links ul i {
  padding-right: 8px;
  color: #ddd;
}

#footer .footer-top .footer-links ul li {
  border-bottom: 1px solid #b20202;
  padding: 10px 0;
}

#footer .footer-top .footer-links ul li:first-child {
  padding-top: 0;
}

#footer .footer-top .footer-links ul a {
  color: #eee;
}

#footer .footer-top .footer-links ul a:hover {
  color: #fdea13;
}

#footer .footer-top .footer-contact {
  margin-bottom: 30px;
}

#footer .footer-top .footer-contact p {
  line-height: 26px;
}

#footer .footer-top .footer-newsletter {
  margin-bottom: 30px;
}

#footer .footer-top .footer-newsletter input[type="email"] {
  border: 0;
  padding: 6px 8px;
  width: 65%;
}

#footer .footer-top .footer-newsletter input[type="submit"] {
  background: #18d26e;
  border: 0;
  width: 35%;
  padding: 6px 0;
  text-align: center;
  color: #fff;
  transition: 0.3s;
  cursor: pointer;
}

#footer .footer-top .footer-newsletter input[type="submit"]:hover {
  background: #13a456;
}

#footer .copyright {
  text-align: center;
  padding-top: 30px;
}

#footer .credits {
  text-align: center;
  font-size: 13px;
  color: #ddd;
}


  /* 頁尾浮動目錄*/
  .footer-menu {
    padding: 0;
    position: fixed;
    left: 0;
    bottom: 0;
    right: 0;
    transition: all 0.5s;
    z-index: 10;
    color: #fff;
    box-shadow:3px 2px 2px 2px #cccccc;
    background: rgba(82, 4,114, 1);
  }

  .footer-menu a{
    font-size: 18px;
    color: #fff;
  }

  .footer-menu a:hover{
    color: #cf0010;
  }
  .footer-menu i {
    padding-top: 0px;
    color: #fff;
  }
/*--------------------------------------------------------------
# 頁面連結
--------------------------------------------------------------*/
.page_link{
  letter-spacing: 3px;
}
.page_link .num_tag{
  color: #520472;
}
.page_link a{
  color: #1b1c4c;
}
.page_link a:hover{
  color: #ff0000;
}

/*--------------------------------------------------------------
# aritcle price Table use
--------------------------------------------------------------*/
.table > tbody > tr > td, .table > tbody > tr > th {
     vertical-align: middle;
     text-align: center;
}

.table > thead > tr > th {
     vertical-align: middle;
     text-align: center;
     font-size: 1.3em;
     background: #e81828;
}

.table > tbody > tr > td:nth-child(2){
     text-align: left;
}
/*--------------------------------------------------------------
# guide name Table use
--------------------------------------------------------------*/
.td-1{
  width: 22%;
}
.td-2{
  width: 10%;
}
.td-3{
  width: 22%;
}
.td-4{
  width: 60%;
}


/*--------------------------------------------------------------
# Responsive Media Queries
--------------------------------------------------------------*/

@media (min-width: 768px) {
  #contact .contact-address,
  #contact .contact-phone,
  #contact .contact-email {
    padding: 20px 0;
  }

  #contact .contact-phone {
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
  }


}

@media (min-width: 992px) {
  #testimonials .testimonial-item p {
    width: 80%;
  }


}

@media (min-width: 1024px) {
  #header #logo {
    padding-left: 60px;
  }

  #intro p {
    width: 60%;
  }

  #intro .carousel-control-prev,
  #intro .carousel-control-next {
    width: 5%;
  }

  #nav-menu-container {
    padding-right: 60px;
  }
}

@media (max-width: 768px) {

  .section-header h3,.section-header h1,.section-header h2,.section-header h4 {
    font-size: 27px;
    color: #520472;
    text-transform: uppercase;
    text-align: center;
    font-weight: 600;
    position: relative;
    padding-bottom: 15px;
  }

  .td-text{
    font-size: 14px;
  }
  /*名字表格*/
  .name-tb th{
    width: 23%;
  }

  .name-tb td{
    width: 70%;
  }
  #about .about-col {
    margin-bottom: 30px;
  }

  .right-line-icon {
    bottom: 60px;
    width: 45px;
    height: 45px;
    right: 2px;
  }

  .back-to-top {
    bottom: 6px;
    right: 5px;
  }

  #header #logo h1 {
    font-size: 28px;
  }

  #header #logo img {
    max-height: 40px;
  }

  #intro h2{
    font-size: 28px;
  }
  #intro h1{
    font-size: 25px;
  }

  #nav-menu-container {
    display: none;
  }

  #mobile-nav-toggle {
    display: inline;
  }

  #baby-party-table th {

    font-size: 18px;
  }

  #baby-party-table td {
    font-size: 1.2em;

  }

  .none {
    -webkit-flex: initial;
            flex: initial;
    width: 50%;
    margin-bottom: 20px;
  } 

  .social img{
    width: 15%;
    margin:5px; 
  }  


  .back-to-top {
    width: 40px;
    height: 40px;
    border: 1px solid #fff;
    bottom: 13px;
  }

  .back-to-top i {
    padding-top: 10px;
    color: #fff;
  }  
}



@media (max-width: 320px) {

  .footer-menu a{
    font-size: 16px;
  }

}
